
<script>
    export default {
        props: {
            task: Object,
            index: Number,
        }
    }
</script>
<template>
    <div>
        <div class="alert flex align-center justify-between w-100pr mb-4" :class="[task.state ? 'alert--success' : 'alert--info']">
            <div class="tx-18">
                {{ index + 1 }} - {{ task.name }} 
                <span class="tx-bold" v-if="task.state">- Completada</span> 
                <span class="tx-bold" v-else>- Por hacer</span>
            </div>

            <div>
                <button class="btn btn--success h-9 mr-2" @click="$emit('editTask')" v-if="!task.state">
                    REALIZADA
                </button>
                <button class="btn btn--danger h-9" @click="$emit('deleteTask')">
                    ELIMINAR
                </button>
            </div>
        </div>
    </div>
</template>